## Index

### Enumerations

- AudioEventType
- ChannelType
- Direction
- EventType
- MessageType
- RatingButtonType
- State
- SubmitState

### Classes

- AbstractMap
- AbstractRenderer
- Base64ToArrayBufferConverter
- BaseInput
- Basket
- Block
- Bold
- BootstrapCarousel
- Break
- BufferedAudioPlayer
- Button
- Camera
- Carousel
- CheckboxChoice
- Choice
- ChoiceAggregator
- ChoiceContainer
- ChoiceMutator
- ChoiceResult
- ClassicRenderer
- CodeReader
- Col
- Connection
- Container
- ContentCentricRenderer
- DefaultListener
- Defaults
- Email
- EventStream
- Form
- Gaia
- GoogleMap
- Headline
- HereMap
- IBehaviour
- Icon
- Image
- InputContainer
- Italic
- Item
- Items
- KeyboardBehaviour
- Label
- Link
- Map
- MarkerIcon
- MouseBehaviour
- MultiTargetRenderer
- MultipleChoice
- MutableQueue
- Navigator
- Node
- NoopRenderer
- OffSwitchListener
- OpenStreetMap
- Overlay
- Overlays
- Phone
- Properties
- RadioChoice
- Rating
- RatingRenderer
- Reel
- ReelValue
- Renderables
- RevealJsRenderer
- Row
- Scanner
- Selectable
- Selection
- SelectionItem
- SingleChoice
- Slider
- SlotMachine
- SmallDevice
- Specification
- Spinner
- Submit
- Subscription
- Suggestion
- Table
- Text
- Textarea
- Timestamp
- Transition
- Trigger
- Upload
- Video
- VoiceBehaviour
- WebRTCRecorder

### Interfaces

- AudioPlayer
- AudioRecorder
- ChoiceAggregationResult
- IEvent
- IEventPayload
- IListener
- IMarker
- IMarkerIcon
- INode
- IPacket
- IRenderable
- IRenderer
- ISpecification
- IStackeable
- Queue
- RatingButton
- RendererByChannelId
- WayPoint

### Type aliases

- BehaviorBinding

### Variables

- barcodeReader
- google
- qrCodeReader

### Functions

- closestByClass
- dataURLToFile
- drawCanvas
- getBase64FromFile
- getDigit
- getFileExtensionFromFile
- getLetter
- isImageFile
- sizeCanvasAccordingToImage
- split
- wrap

## Type aliases

### BehaviorBinding

BehaviorBinding: object

- Defined in lib/api/IBehaviour.ts:52

#### Type declaration

- ##### handler: function

  - - (event: Event): void

    - #### Parameters

      - ##### event: Event

      #### Returns void

- ##### type: string

## Variables

### Let barcodeReader

barcodeReader: any = null

- Defined in lib/renderable/codeReader/Scanner.ts:1

### Const google

google: google

- Defined in lib/renderable/map/google/index.ts:9

### Let qrCodeReader

qrCodeReader: any = null

- Defined in lib/renderable/codeReader/Scanner.ts:2

## Functions

### closestByClass

- closestByClass(element: HTMLElement, clazz: Array<string>): HTMLElement | null

- - Defined in lib/support/Elements.ts:1

  #### Parameters

  - ##### element: HTMLElement

  - ##### clazz: Array<string>

  #### Returns HTMLElement | null

### dataURLToFile

- dataURLToFile(urlString: string, fileName: string): File

- - Defined in lib/support/Files.ts:9

  Function loads a file from the given URL and returns it as a File.

  #### Parameters

  - ##### urlString: string

  - ##### fileName: string

  #### Returns File

  File

### drawCanvas

- drawCanvas(canvas: HTMLCanvasElement, video: HTMLVideoElement, mediaStream: MediaStream, maxCanvasSize: number): void

- - Defined in lib/support/Canvas.ts:2

  #### Parameters

  - ##### canvas: HTMLCanvasElement

  - ##### video: HTMLVideoElement

  - ##### mediaStream: MediaStream

  - ##### maxCanvasSize: number

  #### Returns void

### getBase64FromFile

- getBase64FromFile(file: File): Promise<any>

- - Defined in lib/support/Files.ts:27

  Function takes a file and returns it as a base64 variant of the file.

  #### Parameters

  - ##### file: File

  #### Returns Promise<any>

  Promise<any> base64 file representation

### getDigit

- getDigit(idMap: Map<string, number>, name: string): number

- - Defined in lib/support/Strings.ts:26

  Function returns the number value of the given key, if the key is not found the key is added and the current map size is set as value.

  #### Parameters

  - ##### idMap: Map<string, number>

    Map with string key and number value

  - ##### name: string

    string key

  #### Returns number

  number of the given key.

### getFileExtensionFromFile

- getFileExtensionFromFile(file: File): string

- - Defined in lib/support/Files.ts:42

  Function returns the file type of the given file.

  #### Parameters

  - ##### file: File

    File

  #### Returns string

  string file extension

### getLetter

- getLetter(idMap: Map<string, number>, name: string): string

- - Defined in lib/support/Strings.ts:33

  #### Parameters

  - ##### idMap: Map<string, number>

  - ##### name: string

  #### Returns string

### isImageFile

- isImageFile(fileExtension: string): Boolean

- - Defined in lib/support/Files.ts:55

  Function verifies whether a given file extension is a supported image file type for the image compression. Supported types are jpeg, jpg and png.

  #### Parameters

  - ##### fileExtension: string

  #### Returns Boolean

  Boolean

### sizeCanvasAccordingToImage

- sizeCanvasAccordingToImage(canvas: HTMLCanvasElement, width: number, height: number, maxCanvasSize: number): void

- - Defined in lib/support/Canvas.ts:19

  #### Parameters

  - ##### canvas: HTMLCanvasElement

  - ##### width: number

  - ##### height: number

  - ##### maxCanvasSize: number

  #### Returns void

### split

- split(str?: undefined | string, separator?: string): string[]

- - Defined in lib/support/Strings.ts:10

  Function provides a save string split functionality. If the given string to split is undefined or null an empty string array is returned.

  #### Parameters

  - ##### Optional str: undefined | string

    string to split

  - ##### Default value separator: string = " "

    separator of the split

  #### Returns string[]

  string []

### wrap

- wrap(node: HTMLElement | string): INode

- - Defined in lib/support/node.ts:1

  #### Parameters

  - ##### node: HTMLElement | string

  #### Returns INode

Generated using TypeDoc